<template>
	<v-app dark>
		<v-main class="lightBackgroundPlaceholder">
			<div>
				<Nuxt />
			</div>
		</v-main>
	</v-app>
	<!-- <v-app dark>
		<v-navigation-drawer v-model="drawer" absolute temporary>
			<div class="pos-relative fheight">
				<div
					class="py-5 px-6 d-flex align-center justify-space-between"
				>
					<div class="">
						<img
							:src="convertImage"
							alt=""
							v-if="convertImage"
							width="41"
							height="45"
						/>
						<img
							src="~/assets/images/logo.png"
							alt=""
							width="41"
							height="45"
							v-else
						/>
					</div>
					<div>
						<v-btn
							@click="drawer = !drawer"
							color="#DBE0E5"
							class="elevation-0 px-0"
							style="min-width: 36px"
						>
							<v-icon> mdi-window-close </v-icon>
						</v-btn>
					</div>
				</div>
				<div>
					<div class="mt-7 mx-4">
						<div
							class="menu-active"
							:class="
								href === '/admin/dashboard'
									? 'isActive'
									: 'inActive'
							"
						>
							<nuxt-link
								to="/admin/dashboard"
								class="text-decoration-none"
							>
								<div class="d-flex align-center">
									<v-icon> mdi-home-variant </v-icon>
									<p class="mb-0 ml-4">Dashboard</p>
								</div>
							</nuxt-link>
						</div>
						<div id="menu-list">
							<v-list class="py-0">
								<v-list-group
									prepend-icon="mdi-shopping"
									no-action
									:value="isActiveListGroupShop"
								>
									<template v-slot:activator>
										<v-list-item-content>
											<v-list-item-title>
												<p class="mb-0">Shop</p>
											</v-list-item-title>
										</v-list-item-content>
									</template>
									<div>
										<nuxt-link
											v-for="(
												category, i
											) in listCategory"
											:key="i"
											:to="category.link"
											class="text-decoration-none"
										>
											<div
												style="height: 45px"
												class="
													d-flex
													align-center
													px-15
													list-shop__item
													c-pointer
												"
												:class="
													isActiveListItemSetting(
														category.link
													)
														? 'v-list-item--active'
														: 'inActive'
												"
											>
												<p class="mb-0">
													{{ category.title }}
												</p>
											</div>
										</nuxt-link>
									</div>
							
								</v-list-group>
							</v-list>
						</div>
						<div
							class="menu-active"
							:class="
								href.includes('/admin/order')
									? 'isActive'
									: 'inActive'
							"
						>
							<nuxt-link
								to="/admin/order"
								class="text-decoration-none"
							>
								<div class="d-flex align-center">
									<v-icon> mdi-cart </v-icon>
									<p class="mb-0 ml-4">Order</p>
								</div>
							</nuxt-link>
						</div>
						<div
							class="menu-active"
							:class="
								href === '/admin/customer'
									? 'isActive'
									: 'inActive'
							"
						>
							<nuxt-link
								to="/admin/customer"
								class="text-decoration-none"
							>
								<div class="d-flex align-center">
									<v-icon> mdi-account-supervisor </v-icon>
									<p class="mb-0 ml-4">Customer</p>
								</div>
							</nuxt-link>
						</div>
						<div
							class="menu-active"
							:class="
								href === '/admin/gallery'
									? 'isActive'
									: 'inActive'
							"
						>
							<nuxt-link
								to="/admin/gallery"
								class="text-decoration-none"
							>
								<div class="d-flex align-center">
									<v-icon> mdi-image-multiple </v-icon>
									<p class="mb-0 ml-4">Gallery</p>
								</div>
							</nuxt-link>
						</div>
						<div
							class="menu-active"
							:class="
								href === '/admin/promotion'
									? 'isActive'
									: 'inActive'
							"
						>
							<nuxt-link
								to="/admin/promotion"
								class="text-decoration-none"
							>
								<div class="d-flex align-center">
									<v-icon> mdi-gift </v-icon>
									<p class="mb-0 ml-4">Promotion</p>
								</div>
							</nuxt-link>
						</div>
				
						<div
							class="menu-active"
							:class="
								href === '/admin/settings'
									? 'isActive'
									: 'inActive'
							"
						>
							<nuxt-link
								to="/admin/settings"
								class="text-decoration-none"
							>
								<div class="d-flex align-center">
									<v-icon> mdi-cog </v-icon>
									<p class="mb-0 ml-4">Settings</p>
								</div>
							</nuxt-link>
						</div>
					</div>
				</div>
				<div class="menu-user">
					<v-menu offset-y top nudge-top="20px">
						<template v-slot:activator="{ on, attrs }">
							<v-chip
								v-bind="attrs"
								v-on="on"
								class="pa-0"
								color="#f4f5f7"
							>
								<div
									class="d-flex align-center"
									v-bind="attrs"
									v-on="on"
								>
									<div>
										<v-icon size="27" color="#95a5a6">
											mdi-account-circle
										</v-icon>
									</div>
									<div class="ml-1">
										<p
											class="
												mb-0
												fsize-11
												lightContentPrimary
												text-lowercase
											"
										>
											{{ userInfo && userInfo.email }}
										</p>
										<p
											class="
												mb-0
												lightContentBlue
												fsize-11
												text-lowercase
											"
										>
											{{
												userInfo.role === 1
													? "Admin"
													: "Master"
											}}
										</p>
									</div>
								</div>
							</v-chip>
						</template>
						<div class="white">
							<nuxt-link
								to="/admin/user-setting"
								class="text-decoration-none"
							>
								<div class="list-hover pa-4 c-pointer">
									<p
										class="mb-0 fsize-14-400"
										style="color: rgba(0, 0, 0, 0.87)"
									>
										User Settings
									</p>
								</div>
							</nuxt-link>
							<div
								class="list-hover pa-4 c-pointer"
								@click="onLogout()"
							>
								<p
									class="mb-0 fsize-14-400"
									style="color: rgba(0, 0, 0, 0.87)"
								>
									Logout
								</p>
							</div>
						</div>
					</v-menu>
				</div>
			</div>
		</v-navigation-drawer>
		<v-main class="lightBackgroundPlaceholder">
			<div class="header-nav d-flex align-center justify-center">
				<v-app-bar-nav-icon
					color="white"
					@click.stop="drawer = !drawer"
				></v-app-bar-nav-icon>
				<div class="mx-10" id="hideBottomInput">
					<v-text-field
						dense
						outlined
						background-color="#ffffff"
						placeholder="Tìm kiếm theo ID hoặc theo tên sản phẩm"
						style="width: 604px"
						prepend-inner-icon="mdi-magnify"
					></v-text-field>
				</div>
				<p class="mb-0 white--text">
					{{ userInfo.email }}
				</p>
			</div>
			<div class="py-7 px-6">
				<Nuxt />
			</div>
		</v-main>
	</v-app> -->
</template>

<script lang="ts">
import {
	Component,
	getModule,
	Prop,
	Vue,
	Watch,
} from "nuxt-property-decorator";
import { api } from "~/common/constaint";
import UserModule from "~/store/user";
import { redirectPage } from "~/utils/apiHanlers";

@Component({
	components: {},
})
export default class AdminLayoutNothing extends Vue {}
</script>

<style>
.menu-active {
	padding: 11px 20px;
}
.list-shop__item:hover {
	background-color: #ecf0f1;
}

.menu-user {
	position: absolute;
	bottom: 24px;
	left: 0px;
	width: 100%;
}

.list-hover:hover {
	background: #f4f5f7;
}

.header-nav {
	background-color: #2d3539;
	height: 60px;
	width: 100%;
}

.v-list-item--active i {
	color: #076ce3 !important;
}
</style>